// File: /include/js/Shared/Calls/Exceptions.js
// Desc: Call exceptions
// $Revision: 5$
// $Date: 5/14/2007 12:10:35 PM$
// $Author: Donnie Tognazzini$
// $NoKeywords$

function CL_EX_FailedParsingCallList( nestedException )
{
    EXT_extend( this, new CWError( 'CL_EX_FailedParsingCallList' ) );
    this.Nest( nestedException );
}

function CL_EX_FailedParsingCall( nestedException )
{
    EXT_extend( this, new CWError( 'CL_EX_FailedParsingCall' ) );
    this.Nest( nestedException );
}

function CL_EX_FailedParsingCallId( message, nestedException )
{
    EXT_extend( this, new CWError( 'CL_EX_FailedParsingCallId', message ) );

    if ( nestedException )
    {
        this.Nest( nestedException );
    }
}

function CL_EX_InvalidReviewStatus( reviewStatus )
{
    EXT_extend( this, new CWError( "Invalid review status '" + reviewStatus + "'" ) );
}

